Bug 8152 - Writing to NFS mounted directory extremely slow
Writing to NFS mounted directory extremely slow
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Cristian Gafton
Depends On:
  Show dependency treegraph
Reported: 2000-01-03 16:10 EST by Mark V. Dalton
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-17 16:34:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark V. Dalton 2000-01-03 16:10:41 EST
We're seeing an extreme performance problem when writing to an NFS-exported
directory (exported from Gateway 2K E-4300 system running RedHat 6.1 plus
most every issued rpm package to date) with any Sun Solaris workstation
running Solaris 2.5.1 or 2.6 mounting that directory.  The apparent
behavior is that it takes minutes to copy 1-5MB of data to the directory
but only seconds to copy the same data from the directory.

The RedHat 6.1 Linux system is running on a 450MHz Pentium III with a 12GB
disk drive that is nowhere near full across a 10Mb Ethernet, small, private
network with near zero contention.  When using "top" we see next to zero
CPU activity during all of this.  We observe, empirically, that data flow
appears to be fast but the ending status indication is inexplicably

This may be related but we also get the "program not registered" error
message when running "rpcinfo" against the Linux NFS server from anywhere
else within that private network including the Linus NFS server itself.
Comment 1 Cristian Gafton 2000-02-17 16:34:59 EST
A patch has been available from Sun to fix NFS problems for over a year now.

It is not a Linux bug

Note You need to log in before you can comment on or make changes to this bug.